package com.kingdee.eas.custom.dormitorysystem.otherbasicdata;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.framework.DataBase;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.custom.dormitorysystem.otherbasicdata.app.*;
import com.kingdee.eas.framework.IDataBase;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class DormitoryType extends DataBase implements IDormitoryType
{
    public DormitoryType()
    {
        super();
        registerInterface(IDormitoryType.class, this);
    }
    public DormitoryType(Context ctx)
    {
        super(ctx);
        registerInterface(IDormitoryType.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("1D9EDF3E");
    }
    private DormitoryTypeController getController() throws BOSException
    {
        return (DormitoryTypeController)getBizController();
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public DormitoryTypeInfo getDormitoryTypeInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getDormitoryTypeInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public DormitoryTypeInfo getDormitoryTypeInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getDormitoryTypeInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public DormitoryTypeInfo getDormitoryTypeInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getDormitoryTypeInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@return
     */
    public DormitoryTypeCollection getDormitoryTypeCollection() throws BOSException
    {
        try {
            return getController().getDormitoryTypeCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public DormitoryTypeCollection getDormitoryTypeCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getDormitoryTypeCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public DormitoryTypeCollection getDormitoryTypeCollection(String oql) throws BOSException
    {
        try {
            return getController().getDormitoryTypeCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}